Skip to content

Thực hiện tác vụ

Request

Mẫu thị trường Lịch trình truy vấn, tên mẫu hỗ trợ truy vấn mờ.

Path
idintegerrequired

ID nhiệm vụ thực thi

Example:1678919049331331
Bodyapplication/jsonrequired
taskIdinteger or null

Mã nhiệm vụ

taskNamestring or null, [ 1 .. 255 ] characters

Tên nhiệm vụ

taskStateinteger or null, [ 0 .. 9 ]

Trạng thái kế hoạch; 0: Đang chờ thực thi; 1: Đang thực thi; 2: Thực thi hoàn tất; 3: Hủy bỏ

templateIdinteger or null, [ 0 .. 99999999999 ]

ID mẫu

templateTitlestring or null, [ 0 .. 255 ] characters

Tiêu đề mẫu

cloudPhoneIdinteger or null

ID điện thoại đám mây

Example:1559133625483282
cloudPhoneNamestring or null, [ 0 .. 100 ] characters

Tên điện thoại đám mây

beginTimestring or null

Thời gian bắt đầu tác vụ theo múi giờ UTC+0

Example:"2025-01-01 23:59:59"
endTimestring or null

Thời gian kết thúc tác vụ theo múi giờ UTC+0

Example:"2025-01-02 23:59:59"
pageNointeger or null

Mặc định: 1

Example:1
pageSizeinteger or null

Mặc định: 10

POST
/api/cloudphone/rpa/subTask/detail/{id}
curl -i -X POST \
  http://127.0.0.1:40000/api/cloudphone/rpa/subTask/detail/1678919049331331 \
  -H 'Content-Type: application/json' \
  -d '{
    "taskId": 0,
    "taskName": "string",
    "taskState": 9,
    "templateId": 99999999999,
    "templateTitle": "string",
    "cloudPhoneId": 1559133625483282,
    "cloudPhoneName": "string",
    "beginTime": "2025-01-01 23:59:59",
    "endTime": "2025-01-02 23:59:59",
    "pageNo": 1,
    "pageSize": 0
  }'

Responses

Headers
any
Bodyapplication/json
codeintegerrequired

Mã phản hồi, 0 biểu thị thành công, >0 biểu thị thất bại

msgstringrequired

Thông báo lỗi

requestIdstringrequired

ID theo dõi yêu cầu

dataobjectrequired
Response
{ "code": 0, "msg": "string", "requestId": "string", "data": { "id": 0, "taskName": "string", "taskState": 0, "cloudPhoneId": 0, "cloudPhoneName": "string", "templateName": "string", "handleFailCode": "string", "handleFailReason": "string", "handleResult": 0, "handleResultAttachment": "string", "handleTime": "string", "endTime": "string", "powerOnTime": "string", "triggerNextTime": "string", "triggerTime": "string", "createDate": "string", "createMember": "string", "updateDate": "string", "updateMember": "string" } }